#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>

#include "servicio.h"

int main(int argc, char *argv[]) {
        int s;
        struct sockaddr_in dir;
        struct hostent *host_info;
	unsigned int res;
	struct mensaje m;

	if (argc!=3) {
		fprintf(stderr, "uso: %s n1 n2\n", argv[0]);
		return 1;
	}
        if ((s=socket(PF_INET, SOCK_STREAM, IPPROTO_TCP)) < 0) {
                perror("error creando socket");
                return 1;
        }
        host_info=gethostbyname("localhost");
        memcpy(&dir.sin_addr.s_addr, host_info->h_addr, host_info->h_length);
        dir.sin_port=htons(56789);
        dir.sin_family=PF_INET;
        if (connect(s, (struct sockaddr *)&dir, sizeof(dir)) < 0) {
                perror("error en connect");
                close(s);
                return 1;
        }
	m.op = htonl(MCD);
	m.a = htonl(atoi(argv[1]));
	m.b = htonl(atoi(argv[2]));
	if (write(s, &m, sizeof(m)) != sizeof(m)) {
		perror("error en write"); close(s); return 1;
        }
	if (read(s, &res, sizeof(res)) != sizeof(unsigned int)) {
		perror("error en read"); close(s); return 1;
        }
	printf("%u\n", ntohl(res));
	return 0;
}



